package itemchunkdemo;

import org.springframework.batch.item.ItemProcessor;

/** ItemProcessor: fuehrt Geschaeftslogik aus */
public class MeinedatenItemProcessor implements ItemProcessor<Meinedaten,Meinedaten>
{
   @Override
   public Meinedaten process( Meinedaten md ) throws Exception
   {
      long n = 0;
      if( md.getVorname()  != null ) { n += md.getVorname().length();  }
      if( md.getNachname() != null ) { n += md.getNachname().length(); }
      return new Meinedaten( md.getVorname(), md.getNachname(), Long.valueOf( n ) );
   }
}
