package springbatchdemo;

import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.env.Environment;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import java.io.IOException;
import java.util.Properties;

@RunWith( SpringJUnit4ClassRunner.class )
@ContextConfiguration( classes = MeineApplication.class )
public class JobPropertiesTest
{
   @Autowired Environment env;

   @Test
   public void testJobProperties() throws IOException
   {
      String propKey = "Test-Prop-Key";
      Properties jobProps = JobProperties.getJobProperties( env, "JobProps", "Test", null );
      System.out.println( "-----------------------------------------------" );
      System.out.println( "Job-Properties: " + propKey + " = " + jobProps.get( propKey ) );
      System.out.println( "-----------------------------------------------\n" );
      Assert.assertEquals( "Test-Prop-Value", jobProps.get( propKey ) );
   }
}
